<?php

namespace App\Tests\Controller;

use Symfony\Component\BrowserKit\Client;

class RestTestBase extends WebTestCase
{
    /**
     * @var Client
     */
    private $client;

    protected function createRequestBuilder(string $acceptType = 'application/json'): ClientRequestBuilder
    {
        $builder = new ClientRequestBuilder($this->client);
        $builder->setAcceptType($acceptType);
        return $builder;
    }
}